### Function

# Tsparql SparqlConnection new_from_rdf_async

since: 3.11

#### Declaration [src]

    void
    tracker_sparql_connection_new_from_rdf_async (
      TrackerSparqlConnectionFlags flags,
      GFile* store,
      TrackerDeserializeFlags deserialize_flags,
      TrackerRdfFormat rdf_format,
      GInputStream* rdf_stream,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronous version of `tracker_sparql_connection_new_from_rdf()`.

Available since: 3.11

This function completes asynchronously. Use `tracker_sparql_connection_new_from_rdf_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`flags`

  Type: `TrackerSparqlConnectionFlags`

  Connection flags to define the SPARQL connection behavior.

`store`

  Type: `GFile`

  The database location as a `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`deserialize_flags`

  Type: `TrackerDeserializeFlags`

  Deserialization flags.

`rdf_format`

  Type: `TrackerRdfFormat`

  RDF format of the `rdf_stream` argument.

`rdf_stream`

  Type: `GInputStream`

  RDF Schema definition of the database format.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.